/*
 * ar4c-dcdc - jiffies.h
 *
 * Copyright (C) 2014  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 */

#ifndef JIFFIES_H_INCLUDED
#define JIFFIES_H_INCLUDED

#define HZ	61UL

#ifndef time_after
#define time_after(a, b)	((long)(b) - (long)(a) < 0)
#endif

#ifndef time_after_eq
#define time_after_eq(a, b)	((long)(a) - (long)(b) >= 0)
#endif

extern unsigned long jiffies;

unsigned long get_jiffies(void);
void jiffies_init(void);

void sleep_to(unsigned long t);

#endif
